| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::PageContentFactory Class Referenceabstract
Optional Components » Paging

Define the interface to a factory class that will create subclasses of PageContent. More...

`#include <OgrePageContentFactory.h>`

Inheritance diagram for Ogre::PageContentFactory:
[legend]

## Public Member Functions
| PageContentFactory ()
virtual | ~PageContentFactory ()
virtual PageContent * | createInstance ()=0
virtual void | destroyInstance (PageContent *)=0
virtual const String & | getName () const =0

## Detailed Description

Define the interface to a factory class that will create subclasses of PageContent.

## Constructor & Destructor Documentation

## ◆ PageContentFactory()

Ogre::PageContentFactory::PageContentFactory | ( |  | ) |
| inline

## ◆ ~PageContentFactory()

virtual Ogre::PageContentFactory::~PageContentFactory | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getName()

virtual const String& Ogre::PageContentFactory::getName | ( |  | ) | const
| pure virtual

## ◆ createInstance()

virtual PageContent* Ogre::PageContentFactory::createInstance | ( |  | ) |
| pure virtual

## ◆ destroyInstance()

virtual void Ogre::PageContentFactory::destroyInstance | ( | PageContent * |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- OgrePageContentFactory.h